"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateEventSourceMapping_1 = require("../model/operations/CreateEventSourceMapping");
class CreateEventSourceMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateEventSourceMapping_1.CreateEventSourceMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateEventSourceMappingCommand = CreateEventSourceMappingCommand;
//# sourceMappingURL=CreateEventSourceMappingCommand.js.map