"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteFunctionConcurrency_1 = require("../model/operations/DeleteFunctionConcurrency");
class DeleteFunctionConcurrencyCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteFunctionConcurrency_1.DeleteFunctionConcurrency;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteFunctionConcurrencyCommand = DeleteFunctionConcurrencyCommand;
//# sourceMappingURL=DeleteFunctionConcurrencyCommand.js.map