"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetAccountSettings_1 = require("../model/operations/GetAccountSettings");
class GetAccountSettingsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetAccountSettings_1.GetAccountSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetAccountSettingsCommand = GetAccountSettingsCommand;
//# sourceMappingURL=GetAccountSettingsCommand.js.map