"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetFunctionConfiguration_1 = require("../model/operations/GetFunctionConfiguration");
class GetFunctionConfigurationCommand {
    constructor(input) {
        this.input = input;
        this.model = GetFunctionConfiguration_1.GetFunctionConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetFunctionConfigurationCommand = GetFunctionConfigurationCommand;
//# sourceMappingURL=GetFunctionConfigurationCommand.js.map