"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetLayerVersionPolicy_1 = require("../model/operations/GetLayerVersionPolicy");
class GetLayerVersionPolicyCommand {
    constructor(input) {
        this.input = input;
        this.model = GetLayerVersionPolicy_1.GetLayerVersionPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetLayerVersionPolicyCommand = GetLayerVersionPolicyCommand;
//# sourceMappingURL=GetLayerVersionPolicyCommand.js.map