"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListFunctions_1 = require("../model/operations/ListFunctions");
class ListFunctionsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListFunctions_1.ListFunctions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListFunctionsCommand = ListFunctionsCommand;
//# sourceMappingURL=ListFunctionsCommand.js.map