"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListLayers_1 = require("../model/operations/ListLayers");
class ListLayersCommand {
    constructor(input) {
        this.input = input;
        this.model = ListLayers_1.ListLayers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListLayersCommand = ListLayersCommand;
//# sourceMappingURL=ListLayersCommand.js.map