"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RemoveLayerVersionPermission_1 = require("../model/operations/RemoveLayerVersionPermission");
class RemoveLayerVersionPermissionCommand {
    constructor(input) {
        this.input = input;
        this.model = RemoveLayerVersionPermission_1.RemoveLayerVersionPermission;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RemoveLayerVersionPermissionCommand = RemoveLayerVersionPermissionCommand;
//# sourceMappingURL=RemoveLayerVersionPermissionCommand.js.map