"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateAlias_1 = require("../model/operations/UpdateAlias");
class UpdateAliasCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateAlias_1.UpdateAlias;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateAliasCommand = UpdateAliasCommand;
//# sourceMappingURL=UpdateAliasCommand.js.map