"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateFunctionInput_1 = require("../shapes/CreateFunctionInput");
const CreateFunctionOutput_1 = require("../shapes/CreateFunctionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const CodeStorageExceededException_1 = require("../shapes/CodeStorageExceededException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateFunction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateFunction",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/functions"
    },
    input: {
        shape: CreateFunctionInput_1.CreateFunctionInput
    },
    output: {
        shape: CreateFunctionOutput_1.CreateFunctionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: CodeStorageExceededException_1.CodeStorageExceededException
        }
    ]
};
//# sourceMappingURL=CreateFunction.js.map