"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteFunctionConcurrencyInput_1 = require("../shapes/DeleteFunctionConcurrencyInput");
const DeleteFunctionConcurrencyOutput_1 = require("../shapes/DeleteFunctionConcurrencyOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteFunctionConcurrency = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteFunctionConcurrency",
    http: {
        method: "DELETE",
        requestUri: "/2017-10-31/functions/{FunctionName}/concurrency"
    },
    input: {
        shape: DeleteFunctionConcurrencyInput_1.DeleteFunctionConcurrencyInput
    },
    output: {
        shape: DeleteFunctionConcurrencyOutput_1.DeleteFunctionConcurrencyOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=DeleteFunctionConcurrency.js.map