"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetLayerVersionInput_1 = require("../shapes/GetLayerVersionInput");
const GetLayerVersionOutput_1 = require("../shapes/GetLayerVersionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetLayerVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetLayerVersion",
    http: {
        method: "GET",
        requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}"
    },
    input: {
        shape: GetLayerVersionInput_1.GetLayerVersionInput
    },
    output: {
        shape: GetLayerVersionOutput_1.GetLayerVersionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=GetLayerVersion.js.map