"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetLayerVersionPolicyInput_1 = require("../shapes/GetLayerVersionPolicyInput");
const GetLayerVersionPolicyOutput_1 = require("../shapes/GetLayerVersionPolicyOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetLayerVersionPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetLayerVersionPolicy",
    http: {
        method: "GET",
        requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy"
    },
    input: {
        shape: GetLayerVersionPolicyInput_1.GetLayerVersionPolicyInput
    },
    output: {
        shape: GetLayerVersionPolicyOutput_1.GetLayerVersionPolicyOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=GetLayerVersionPolicy.js.map