"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const InvokeInput_1 = require("../shapes/InvokeInput");
const InvokeOutput_1 = require("../shapes/InvokeOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidRequestContentException_1 = require("../shapes/InvalidRequestContentException");
const RequestTooLargeException_1 = require("../shapes/RequestTooLargeException");
const UnsupportedMediaTypeException_1 = require("../shapes/UnsupportedMediaTypeException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const EC2UnexpectedException_1 = require("../shapes/EC2UnexpectedException");
const SubnetIPAddressLimitReachedException_1 = require("../shapes/SubnetIPAddressLimitReachedException");
const ENILimitReachedException_1 = require("../shapes/ENILimitReachedException");
const EC2ThrottledException_1 = require("../shapes/EC2ThrottledException");
const EC2AccessDeniedException_1 = require("../shapes/EC2AccessDeniedException");
const InvalidSubnetIDException_1 = require("../shapes/InvalidSubnetIDException");
const InvalidSecurityGroupIDException_1 = require("../shapes/InvalidSecurityGroupIDException");
const InvalidZipFileException_1 = require("../shapes/InvalidZipFileException");
const KMSDisabledException_1 = require("../shapes/KMSDisabledException");
const KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
const KMSAccessDeniedException_1 = require("../shapes/KMSAccessDeniedException");
const KMSNotFoundException_1 = require("../shapes/KMSNotFoundException");
const InvalidRuntimeException_1 = require("../shapes/InvalidRuntimeException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.Invoke = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Invoke",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/functions/{FunctionName}/invocations"
    },
    input: {
        shape: InvokeInput_1.InvokeInput
    },
    output: {
        shape: InvokeOutput_1.InvokeOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidRequestContentException_1.InvalidRequestContentException
        },
        {
            shape: RequestTooLargeException_1.RequestTooLargeException
        },
        {
            shape: UnsupportedMediaTypeException_1.UnsupportedMediaTypeException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: EC2UnexpectedException_1.EC2UnexpectedException
        },
        {
            shape: SubnetIPAddressLimitReachedException_1.SubnetIPAddressLimitReachedException
        },
        {
            shape: ENILimitReachedException_1.ENILimitReachedException
        },
        {
            shape: EC2ThrottledException_1.EC2ThrottledException
        },
        {
            shape: EC2AccessDeniedException_1.EC2AccessDeniedException
        },
        {
            shape: InvalidSubnetIDException_1.InvalidSubnetIDException
        },
        {
            shape: InvalidSecurityGroupIDException_1.InvalidSecurityGroupIDException
        },
        {
            shape: InvalidZipFileException_1.InvalidZipFileException
        },
        {
            shape: KMSDisabledException_1.KMSDisabledException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        },
        {
            shape: KMSAccessDeniedException_1.KMSAccessDeniedException
        },
        {
            shape: KMSNotFoundException_1.KMSNotFoundException
        },
        {
            shape: InvalidRuntimeException_1.InvalidRuntimeException
        }
    ]
};
//# sourceMappingURL=Invoke.js.map