"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListVersionsByFunctionInput_1 = require("../shapes/ListVersionsByFunctionInput");
const ListVersionsByFunctionOutput_1 = require("../shapes/ListVersionsByFunctionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListVersionsByFunction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListVersionsByFunction",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/functions/{FunctionName}/versions"
    },
    input: {
        shape: ListVersionsByFunctionInput_1.ListVersionsByFunctionInput
    },
    output: {
        shape: ListVersionsByFunctionOutput_1.ListVersionsByFunctionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListVersionsByFunction.js.map