"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RemoveLayerVersionPermissionInput_1 = require("../shapes/RemoveLayerVersionPermissionInput");
const RemoveLayerVersionPermissionOutput_1 = require("../shapes/RemoveLayerVersionPermissionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveLayerVersionPermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveLayerVersionPermission",
    http: {
        method: "DELETE",
        requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy/{StatementId}"
    },
    input: {
        shape: RemoveLayerVersionPermissionInput_1.RemoveLayerVersionPermissionInput
    },
    output: {
        shape: RemoveLayerVersionPermissionOutput_1.RemoveLayerVersionPermissionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=RemoveLayerVersionPermission.js.map