"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateAliasInput_1 = require("../shapes/UpdateAliasInput");
const UpdateAliasOutput_1 = require("../shapes/UpdateAliasOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateAlias",
    http: {
        method: "PUT",
        requestUri: "/2015-03-31/functions/{FunctionName}/aliases/{Name}"
    },
    input: {
        shape: UpdateAliasInput_1.UpdateAliasInput
    },
    output: {
        shape: UpdateAliasOutput_1.UpdateAliasOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=UpdateAlias.js.map