"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FunctionCode_1 = require("./_FunctionCode");
const _VpcConfig_1 = require("./_VpcConfig");
const _DeadLetterConfig_1 = require("./_DeadLetterConfig");
const _Environment_1 = require("./_Environment");
const _TracingConfig_1 = require("./_TracingConfig");
const _Tags_1 = require("./_Tags");
const _LayerList_1 = require("./_LayerList");
exports.CreateFunctionInput = {
    type: "structure",
    required: ["FunctionName", "Runtime", "Role", "Handler", "Code"],
    members: {
        FunctionName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Runtime: {
            shape: {
                type: "string"
            }
        },
        Role: {
            shape: {
                type: "string"
            }
        },
        Handler: {
            shape: {
                type: "string"
            }
        },
        Code: {
            shape: _FunctionCode_1._FunctionCode
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Timeout: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        MemorySize: {
            shape: {
                type: "integer",
                min: 128
            }
        },
        Publish: {
            shape: {
                type: "boolean"
            }
        },
        VpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        DeadLetterConfig: {
            shape: _DeadLetterConfig_1._DeadLetterConfig
        },
        Environment: {
            shape: _Environment_1._Environment
        },
        KMSKeyArn: {
            shape: {
                type: "string"
            }
        },
        TracingConfig: {
            shape: _TracingConfig_1._TracingConfig
        },
        Tags: {
            shape: _Tags_1._Tags
        },
        Layers: {
            shape: _LayerList_1._LayerList
        }
    }
};
//# sourceMappingURL=CreateFunctionInput.js.map